Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Mangler (GPL Linux Ventrilo client clone)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5618
Location: Removed by Neddy

PostPosted: Mon Nov 23, 2009 4:30 pm    Post subject: Reply with quote

Xzarr wrote:
Quote:
common queries I here in Qnet or s2Games is "can you run vent in linux?" to which I have had to answer no (WINE really isn't an option... it doesn't work!), but now!!!


Sup, using ventrilo with PTT (kb/mouse) on WINE for ages now with 0 problems. :P

Having said that, will definitely switch to mangler when it has alsa :


doesn't change the fact that it doesn't work for all

Xzarr wrote:

Quote:
so me being a linux HoN player couldn't actually talk to them... until now \o/)


Your voice chat in HoN doesn't work? :P

Pub voicechat... yer Iwant some 12yo QQ that I stole their kill... no thanks (one of the 1st things I turn of in any game that provides in-game VOIP) but yer it does work
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
skellr
l33t
l33t


Joined: 18 Jun 2005
Posts: 859
Location: The Village, Portmeirion

PostPosted: Sat Jan 23, 2010 9:13 pm    Post subject: Reply with quote

:D mangler-with-alsa-support

Here is a live ebuild if interested:
Code:
# Copyright 1999-2010 Gentoo Foundationman
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit autotools subversion

DESCRIPTION="Open source VOIP client capable of connecting to Ventrilo 3.x
servers"
HOMEPAGE="http://www.mangler.org/"
ESVN_REPO_URI="http://svn.mangler.org/mangler/trunk"
# Revision 558 Developer Snapshot (1.1.20100116) ?
# i havn't tried to pull and build this way... untested
# ESVN_REPO_URI="http://svn.mangler.org/mangler/trunk@533"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="alsa +gsm pulseaudio +speex"

DEPEND="dev-util/pkgconfig
   gnome-base/librsvg"
RDEPEND="${DEPEND}
   alsa? ( media-libs/alsa-lib )
   gsm? ( media-sound/gsm )
   pulseaudio? ( media-sound/pulseaudio )
   speex? ( media-libs/speex )"

src_unpack() {
   subversion_fetch || die
   subversion_bootstrap || die
}

src_prepare() {
   eautoreconf
}

src_configure() {
   econf \
   --disable-dependency-tracking \
   $(use_with alsa) \
   $(use_enable speex) \
   $(use_enable gsm) \
   $(use_with pulseaudio) \
   || die
}

src_install() {
   emake DESTDIR="${D}" install || die
}


Also, the developer snapshot has alsa support.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sat Jan 23, 2010 10:45 pm    Post subject: Reply with quote

I put alsa support in the live ebuild in multimedia overlay about a week ago.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5618
Location: Removed by Neddy

PostPosted: Sun Mar 07, 2010 11:51 am    Post subject: Reply with quote

Hi, could the live ebuild have a requirement against x11-libs/xosd mangler svn now has osd support
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
Progman3K
l33t
l33t


Joined: 03 Jan 2004
Posts: 665

PostPosted: Sun Oct 10, 2010 3:11 pm    Post subject: Reply with quote

Hi,

Trying to install Mangler 1.2.0.

I'm getting a link error:

Quote:
libtool: link: x86_64-pc-linux-gnu-g++ -Os -march=core2 -pipe -Wl,-O1 -Wl,--as-needed -o .libs/mangler mangler.o channeltree.o mangleraudio.o manglerbackend.o manglerpulse.o mangleralsa.o mangleross.o manglernetwork.o manglerserverlist.o manglersettings.o manglerconfig.o manglerchat.o manglerprivchat.o manglercharset.o manglerintegration.o mangleradmin.o manglerrecorder.o manglerosd.o manglerg15.o inilib.o -pthread -pthread -pthread ../libventrilo3/.libs/libventrilo3.so /usr/lib64/libgtkmm-2.4.so /usr/lib64/libatkmm-1.6.so /usr/lib64/libgdkmm-2.4.so /usr/lib64/libgiomm-2.4.so /usr/lib64/libpangomm-1.4.so /usr/lib64/libgtk-x11-2.0.so /usr/lib64/libglibmm-2.4.so /usr/lib64/libcairomm-1.0.so /usr/lib64/libsigc-2.0.so /usr/lib64/libgdk-x11-2.0.so /usr/lib64/libatk-1.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libpangoft2-1.0.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libcairo.so /usr/lib64/libpango-1.0.so /usr/lib64/libfreetype.so /usr/lib64/libfontconfig.so /usr/lib64/libgmodule-2.0.so /usr/lib64/libasound.so /usr/lib64/libdbus-glib-1.so /usr/lib64/libdbus-1.so -lpthread /usr/lib64/libgobject-2.0.so /usr/lib64/libgthread-2.0.so -lrt /usr/lib64/libglib-2.0.so -lgsm -pthread
/usr/lib64/libcairomm-1.0.so: undefined reference to `cairo_glitz_surface_create'
collect2: ld returned 1 exit status


Is this because I compiled Cairo without some needed feature(s) ?

Quote:
x11-libs/cairo-1.10.0-r3 USE="X opengl svg xcb (-aqua) -debug -directfb -doc (-drm) (-gallium) -openvg -qt4 -static-libs"


Any help appreciated!
Thanks
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2
Page 2 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum